Subject: Record Tools address in Canada

From: [email-masked] (Tim Kirby)
Date: 17 Jan 94 10:21:53 CST

*sigh*

I'm posting this a week late but I wanted to do it on principle ('coz I
said I would.)

According to the box containing my shiny new Record vise, Record are currently
at
	Record Tools
	1915 Clements Rd #1
	Pickering
	Ontario L1W 3V1

No 'phone number provided but directory enquiries would probably help...

Tim
--
Tim Kirby --------- Cray Research Inc., Eagan, MN, USA ---------- [email-masked]
Disclaimer: Cray didn't say this... I did...
------------------------------------------------------------------------------
If all else fails, Immortality may always be assured by spectacular error(JKG)